import { AbstractSocketPage } from './index.js';
import { DockerLogger } from '../index.js';
class ContainerPageSocket extends AbstractSocketPage {
    constructor() {
        super('container-management');
    }
    bindEvents(socket) {
        socket.on('watch-log', ({ serverName, containerName }) => {
            const logsRoom = `${serverName}_${containerName}`;
            socket.join(logsRoom);
        });
        socket.on('unwatch-log', async ({ serverName, containerName }) => {
            const roomName = `${serverName}_${containerName}`;
            socket.leave(roomName);
            const logRoom = this.getSocketIo().to(`${serverName}_${containerName}`);
            const connectedUsers = await logRoom.fetchSockets();
            if (!connectedUsers.length) {
                DockerLogger.removeListener({ containerName, serverName });
            }
        });
        return socket;
    }
}
const instance = new ContainerPageSocket();
export { instance as ContainerPageSocket };
export default instance;
